.loading {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0%;
  left: 0%;
  z-index: 2;
  background-color: rgba(0, 0, 0, 0.05);
}
.loading:not(:required):before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 2.5em;
  height: 2.5em;
  border-radius: 50%;
  border-top: 0.2em solid #0079bd;
  border-right: 0.2em solid #0079bd;
  border-bottom: 0.2em solid #0079bd;
  border-left: 0.2em solid #ffffff;
  -webkit-animation: spinner 0.7s infinite linear;
  animation: spinner 0.7s infinite linear;
}
@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
